<h3>Content slides ({{slidesTable.slides.length}})
    <md-button style="md-primary md-raised" ng-click="addNew()">Add slide</md-button>
</h3>
<md-table-container>
    <table md-table md-progress="slidesTable.promise" class="primaryPointsTable">
        <thead md-head md-order="slidesTable.query.order">
            <tr md-row>
                <th md-column>
                    <span>Title (CZ)</span>
                </th>
                <th md-column>
                    <span>Active</span>
                </th>
                <th md-column class="actionsColumnHeader">Actions</th>
            </tr>
        </thead>
        <tbody md-body>
            <tr
                md-row
                md-select="primary"
                md-select-id="id"
                md-auto-select
                ng-repeat="slide in slidesTable.slides | orderBy:slidesTable.query.order | limitTo:slidesTable.query.limit: (slidesTable.query.page -1) * slidesTable.query.limit">
                <td md-cell>{{slide.name}}</td>
                <td md-cell>
                    <md-checkbox ng-model="slide.active" aria-label="Published?'" ng-click="publish(slide)"></md-checkbox>
                </td>
                <td md-cell class="actionsCell">
                    <div layout="row">
                        <a title="delete" href='' ng-click="deleteSlide(slide)">
                            <i class="material-icons">delete</i>
                        </a>
                        <a title="edit" href='' ng-click="editPoint(point)">
                            <i class="material-icons">edit</i>
                        </a>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</md-table-container>
<md-table-pagination md-limit="slidesTable.query.limit" md-limit-options="[5, 10, 15]" md-page="slidesTable.query.page" md-total="{{slidesTable.slides.length}}" md-on-paginate="getSlides" md-page-select></md-table-pagination>
